Page MenuHomePhabricator

Add the possibility to blacklist a particular set of wikis from the SiteMatrixInterwikiResolver
Closed, ResolvedPublic

Description

Some wikis prefers not to show some results from a particular set of crossprojects.
It's possible to do this by using the fine-grained config but it'd be nice to still use SiteMatrix but provide a list of interwiki type to blacklist.

Event Timeline

dcausse created this task.Apr 21 2017, 11:58 AM

Change 349437 had a related patch set uploaded (by DCausse):
[mediawiki/extensions/CirrusSearch@master] Provide a way to blacklist a set of wikis for crosswiki search

https://gerrit.wikimedia.org/r/349437

Change 349437 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Provide a way to blacklist a set of wikis for crosswiki search

https://gerrit.wikimedia.org/r/349437

Change 350453 had a related patch set uploaded (by EBernhardson; owner: DCausse):
[mediawiki/extensions/CirrusSearch@wmf/1.29.0-wmf.21] Provide a way to blacklist a set of wikis for crosswiki search

https://gerrit.wikimedia.org/r/350453

Change 350453 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.29.0-wmf.21] Provide a way to blacklist a set of wikis for crosswiki search

https://gerrit.wikimedia.org/r/350453

Mentioned in SAL (#wikimedia-operations) [2017-04-26T18:50:55Z] <thcipriani@naos> Synchronized php-1.29.0-wmf.21/extensions/CirrusSearch: SWAT: [[gerrit:350453|Provide a way to blacklist a set of wikis for crosswiki search]] T163546 (duration: 01m 02s)

debt closed this task as Resolved.May 9 2017, 5:42 PM

Resolving this ticket - it looks like we're set to be able to turn off / blacklist particular wiki projects if needed.